MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028367Open CASCADE[OCCT] OCCT:DRAWpublic2017-01-18 10:572017-09-29 16:24
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028367: Draw Harness - XSave should print an error on store failure
DescriptionXSave command does not print any error on storage failure - TDocStd_Application::SaveAs() result is ignored. It does not look correct.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0062735)
git (administrator)
2017-01-18 10:59

Branch CR28367 has been created by kgv.

SHA-1: 72e723df75589f7980e09627295dd66792a627a2


Detailed log of new commits:

Author: kgv
Date: Wed Jan 18 10:59:35 2017 +0300

    0028367: Draw Harness - XSave should print an error on store failure
(0062736)
kgv (developer)
2017-01-18 10:59

Patch is ready for review.
(0062855)
mpv (developer)
2017-01-20 17:49

OK, let it be like this right now.
Duplicated methods in different OCAF draw-packages is another story.
And receiving of more precised information about an error is also: there are too many ways to get advanced messages in different cases, so it must be collected in one method, I guess. Then it could be used.

Reviewed, ready for testing.
(0062874)
git (administrator)
2017-01-20 19:11

Branch CR28367 has been updated forcibly by apv.

SHA-1: 1e5454695f1d22214423edfe15a83b53c47f69ab
(0062876)
apv (tester)
2017-01-20 19:12

Branch CR28367 has been rebased on the current master
(0063026)
mkv (tester)
2017-01-25 15:53

Dear BugMaster,
Branch CR28367 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 1e5454695f1d22214423edfe15a83b53c47f69ab

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1135

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 93331041 / 92055887 [+1.39%]
Total CPU difference: 21386.320000000127 / 21062.120000000155 [+1.54%]
products component :
Total MEMORY difference: 31305592 / 31311912 [-0.02%]
Total CPU difference: 5552.349999999974 / 5531.039999999989 [+0.39%]

Testing on Windows:
occt component :
Total MEMORY difference: 58327453 / 58324216 [+0.01%]
Total CPU difference: 19785.57562979855 / 19152.585972198493 [+3.30%]
products component :
Total MEMORY difference: 22558081 / 22520482 [+0.17%]
Total CPU difference: 5505.868093799953 / 5374.920854399972 [+2.44%]

There are no differences in images found by testdiff.
(0063027)
mkv (tester)
2017-01-25 15:53

Dear BugMaster,
Branch CR28367 is TESTED.
(0063616)
git (administrator)
2017-02-08 11:36

Branch CR28367 has been deleted by kgv.

SHA-1: 1e5454695f1d22214423edfe15a83b53c47f69ab

- Related Changesets
occt: master 61887a4a
Timestamp: 2017-01-18 07:59:35
Author: kgv
Committer: apn
Details ] Diff ]
0028367: Draw Harness - XSave should print an error on store failure
mod - src/XDEDRAW/XDEDRAW.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-01-18 10:57 kgv New Issue
2017-01-18 10:57 kgv Assigned To => mpv
2017-01-18 10:59 git Note Added: 0062735
2017-01-18 10:59 kgv Note Added: 0062736
2017-01-18 10:59 kgv Status new => resolved
2017-01-20 17:49 mpv Note Added: 0062855
2017-01-20 17:49 mpv Assigned To mpv => bugmaster
2017-01-20 17:49 mpv Status resolved => reviewed
2017-01-20 19:11 git Note Added: 0062874
2017-01-20 19:12 apv Note Added: 0062876
2017-01-20 19:14 apv Test case number => Not needed
2017-01-20 19:14 apv Assigned To bugmaster => apv
2017-01-23 12:54 apv Assigned To apv => mkv
2017-01-25 15:53 mkv Note Added: 0063026
2017-01-25 15:53 mkv Note Added: 0063027
2017-01-25 15:53 mkv Assigned To mkv => bugmaster
2017-01-25 15:53 mkv Status reviewed => tested
2017-01-27 16:15 apn Changeset attached => occt master 61887a4a
2017-01-27 16:15 apn Assigned To bugmaster => apn
2017-01-27 16:15 apn Status tested => verified
2017-01-27 16:15 apn Resolution open => fixed
2017-02-08 11:36 git Note Added: 0063616
2017-09-29 16:21 user533 Fixed in Version => 7.2.0
2017-09-29 16:24 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker